package com.edgec.browserbackend.account.domain;

import com.edgec.browserbackend.account.dto.CompanyAuthorizeDto;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "companyauthorize")
public class CompanyAuthorize {
    @Id
    private String id;
    private String username;
    private int type; //0 -- 企业, 1 -- 个体工商户
    private String companyName;
    private String registerNumber;
    private String companyLicenseId;

    private String coporationPlace;
    private String coporationLicenseId;
    private int realController;//0 -- 法定代表人, 1 -- 非法定代表人
    private int writePerson; //0 -- 法定代表人, 1 -- 代理人

    private String agencyId;

    public CompanyAuthorize() {

    }

    public CompanyAuthorize(CompanyAuthorizeDto companyAuthorizeDto) {
        if (companyAuthorizeDto.getUsername() != null)
            this.username = companyAuthorizeDto.getUsername();
        this.type = companyAuthorizeDto.getType();
        if (companyAuthorizeDto.getCompanyName() != null)
            this.companyName = companyAuthorizeDto.getCompanyName();
        if (companyAuthorizeDto.getRegisterNumber() != null)
            this.registerNumber = companyAuthorizeDto.getRegisterNumber();
        this.realController = companyAuthorizeDto.getRealController();
        this.writePerson = companyAuthorizeDto.getWritePerson();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public int getRealController() {
        return realController;
    }

    public void setAgencyId(String agencyId) {
        this.agencyId = agencyId;
    }

    public int getWritePerson() {
        return writePerson;
    }

    public void setCoporationLicenseId(String coporationLicenseId) {
        this.coporationLicenseId = coporationLicenseId;
    }

    public String getAgencyId() {
        return agencyId;
    }

    public void setCoporationPlace(String coporationPlace) {
        this.coporationPlace = coporationPlace;
    }

    public String getCoporationLicenseId() {
        return coporationLicenseId;
    }

    public String getCompanyLicenseId() {
        return companyLicenseId;
    }

    public String getCoporationPlace() {
        return coporationPlace;
    }

    public void setRealController(int realController) {
        this.realController = realController;
    }

    public void setCompanyLicenseId(String companyLicenseId) {
        this.companyLicenseId = companyLicenseId;
    }

    public String getRegisterNumber() {
        return registerNumber;
    }

    public void setRegisterNumber(String registerNumber) {
        this.registerNumber = registerNumber;
    }

    public void setWritePerson(int writePerson) {
        this.writePerson = writePerson;
    }
}
