package com.edgec.browserbackend.account.dto;

import com.edgec.browserbackend.account.domain.CompanyAuthorize;
import org.springframework.data.annotation.Id;
import org.springframework.web.multipart.MultipartFile;

public class CompanyAuthorizeDto {
    private String username;
    private int type; //0 -- 企业, 1 -- 个体工商户
    private String companyName;
    private String registerNumber;
    private MultipartFile companyLicense;

    private String coporationPlace;
    private MultipartFile coporationLicense;
    private int realController;//0 -- 法定代表人, 1 -- 非法定代表人
    private int writePerson; //0 -- 法定代表人, 1 -- 代理人

    private MultipartFile agency;

    public CompanyAuthorizeDto() {

    }

    public CompanyAuthorizeDto(CompanyAuthorize companyAuthorize) {
        if (companyAuthorize.getUsername() != null)
            this.username = companyAuthorize.getUsername();
        this.type = companyAuthorize.getType();
        if (companyAuthorize.getCompanyName() != null)
            this.companyName = companyAuthorize.getCompanyName();
        if (companyAuthorize.getRegisterNumber() != null)
            this.registerNumber = companyAuthorize.getRegisterNumber();
        this.realController = companyAuthorize.getRealController();
        this.writePerson = companyAuthorize.getWritePerson();
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRegisterNumber() {
        return registerNumber;
    }

    public void setWritePerson(int writePerson) {
        this.writePerson = writePerson;
    }

    public void setRegisterNumber(String registerNumber) {
        this.registerNumber = registerNumber;
    }

    public String getCoporationPlace() {
        return coporationPlace;
    }

    public void setRealController(int realController) {
        this.realController = realController;
    }

    public void setCoporationPlace(String coporationPlace) {
        this.coporationPlace = coporationPlace;
    }

    public int getWritePerson() {
        return writePerson;
    }

    public int getRealController() {
        return realController;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public MultipartFile getAgency() {
        return agency;
    }

    public void setAgency(MultipartFile agency) {
        this.agency = agency;
    }

    public MultipartFile getCoporationLicense() {
        return coporationLicense;
    }

    public void setCoporationLicense(MultipartFile coporationLicense) {
        this.coporationLicense = coporationLicense;
    }

    public MultipartFile getCompanyLicense() {
        return companyLicense;
    }

    public void setCompanyLicense(MultipartFile companyLicense) {
        this.companyLicense = companyLicense;
    }
}
