package com.edgec.browserbackend.account.repository;

import com.edgec.browserbackend.browser.ErrorCode.BrowserErrorCode;
import com.edgec.browserbackend.common.commons.error.ClientRequestException;
import com.mongodb.DB;
import com.mongodb.client.gridfs.GridFSBucket;
import com.mongodb.gridfs.GridFS;
import com.mongodb.gridfs.GridFSInputFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.MongoDbFactory;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.gridfs.GridFsOperations;
import org.springframework.data.mongodb.gridfs.GridFsTemplate;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.InputStream;

public class CompanyAuthorizeRepositoryCustomImpl implements CompanyAuthorizeRepositoryCustom {

    private final Logger logger = LoggerFactory.getLogger(CompanyAuthorizeRepositoryCustomImpl.class);

    @Autowired
    private GridFsTemplate gridFsTemplate;

    @Autowired
    private GridFsOperations operations;

    @Autowired
    private MongoTemplate mongoTemplate;


    @Override
    public String saveFile(String collectionName, MultipartFile file, String filename) {
        try {
            GridFS gridFS = new GridFS((DB) mongoTemplate.getDb());
            InputStream in = file.getInputStream();

            GridFSInputFile gridFSInputFile = gridFS.createFile(in);
            gridFSInputFile.setFilename(filename);

            gridFSInputFile.setContentType(file.getContentType());

            gridFSInputFile.save();

            return (String) gridFSInputFile.getId();
        } catch (Exception e) {
            logger.error("存储文件时发生错误！！！", e);
            throw new ClientRequestException(BrowserErrorCode.UNKNOWN);
        }
    }
}
